Skip to main content
DELETE
/
console
/
v1
/
layers
/
{id}
/
overrides
/
userID
/
{userID}
Delete a Single Layer User ID Override
curl --request DELETE \
  --url https://statsigapi.net/console/v1/layers/{id}/overrides/userID/{userID} \
  --header 'STATSIG-API-KEY: <api-key>'
{
  "message": "<string>",
  "data": {
    "conditionalOverrides": [
      {
        "type": "<string>",
        "name": "<string>",
        "experimentName": "<string>",
        "groupName": "<string>",
        "environment": "<string>"
      }
    ],
    "idOverrides": [
      {
        "groupName": "<string>",
        "ids": [
          "<string>"
        ],
        "idType": "<string>",
        "environment": "<string>",
        "experimentName": "<string>"
      }
    ]
  }
}

Authorizations

STATSIG-API-KEY
string
header
required

Path Parameters

id
string
required

Layer name

userID
string
required

User ID to remove from the override

Query Parameters

groupName
string
required

Experiment group the override targets

experimentName
string
required

Experiment within the layer that owns the override

idType
string

The unit type of the override. Defaults to the experiment unit type when omitted.

environment
string

Environment the override is scoped to. Omit to target the override that applies to all environments.

Response

Delete Single Layer User ID Override Success

message
string
required

A simple string explaining the result of the operation.

data
object
required

A single result.